#include <bits/stdc++.h>

using namespace std;
const int MAXN=2e5;
int N,Q,l,r;
vector<int>A(MAXN+5);
vector<int>greske(MAXN+5);
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int br=0;
    cin>>N;
    cin>>A[1];
    greske[1]=0;
    for(int i=2;i<=N;i++){
        cin>>A[i];
        if(A[i]<A[i-1]){
            br++;
        }
        greske[i]=br;
    }
    cin>>Q;
    for(int q=0;q<Q;q++){
        cin>>l>>r;
        if(greske[r]-greske[l]<2){
            cout<<"DA\n";
        }
        else{
            cout<<"NE\n";
        }
    }
    return 0;
}